Page MenuHomePhabricator

PHP deprecation warnings in SpecialCheckUser.php
Closed, ResolvedPublic

Description

Deprecated: Use of User::makeGroupLinkHTML was deprecated in MediaWiki 1.29.
[Called from CheckUser::buildGroupLink in /home/www/lib/mediawiki-1.29.0-rc.0/extensions/CheckUser/specials/SpecialCheckUser.php at line 1514]
in /home/www/lib/mediawiki-1.29.0-rc.0/includes/debug/MWDebug.php on line 309

This happens in Special:CheckUser when "Get edits" or "Get users" options are checked, the form is submitted and positive matches are found

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJul 14 2017, 1:10 PM
Ciencia_Al_Poder triaged this task as Lowest priority.Jul 14 2017, 1:10 PM
Huji claimed this task.Jul 14 2017, 1:57 PM
Huji added a subscriber: Huji.

That method (and a few others) were deprecated in rMW73224f4f8b8a26b9a9a04e338bb1c3c2f163a820 and should be replaced with the correct method of the UserGroupMembership class. In this case, UserGroupMemebership::getLink() should be used, with its $format parameter being set to 'html'.

Change 365250 had a related patch set uploaded (by Huji; owner: Huji):
[mediawiki/extensions/CheckUser@master] Replace deprecated User::makeGroupLinkHTML with the alternative method from UserGroupMembership class

https://gerrit.wikimedia.org/r/365250

Change 365250 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Replace deprecated User::makeGroupLinkHTML with the alternative method from UserGroupMembership class

https://gerrit.wikimedia.org/r/365250

Huji closed this task as Resolved.Jul 15 2017, 10:27 PM
Huji removed a project: Patch-For-Review.
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Aug 28 2017, 1:06 PM